Issue415

classification
Title [Bug: 21.5-b28] dialog boxes]
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.5-b28] dialog boxes
View: 414
  Submitted 2008-06-19.11:46:27
Priority normal   Assigned To

Created on 2008-11-29.06:19:55 by fjt21, last changed 2009-02-26.22:38:17 by mike.kupfer.

Messages
msg1045 [hidden] ([hidden]) Date: 2009-02-26.22:38:17
Removing fjt21 from Nosy List (no domain registered for email
address).
msg858 [hidden] ([hidden]) Date: 2008-11-29.06:19:54
  Message-ID: <Prayer.1.2.2.1.0806191246270.15564@hermes-1.csi.cam.ac.uk>
Dear Aidan

thanks for looking into this.  Here is the output requested

Regards
Frederik

  338> ldd /usr/bin/xemacs
        linux-gate.so.1 =>  (0x00110000)
        libneXtaw.so.0 => /usr/lib/libneXtaw.so.0 (0x00111000)
        libtiff.so.3 => /usr/lib/libtiff.so.3 (0x05b34000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x003bf000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x006c8000)
        libz.so.1 => /lib/libz.so.1 (0x00a56000)
        libcompface.so.1 => /usr/lib/libcompface.so.1 (0x00b84000)
        libXpm.so.4 => /usr/lib/libXpm.so.4 (0x0064a000)
        libXmu.so.6 => /usr/lib/libXmu.so.6 (0x0065d000)
        libXt.so.6 => /usr/lib/libXt.so.6 (0x07719000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x00c1d000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x00a73000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x00df0000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0x006ac000)
        libgpm.so.1 => /usr/lib/libgpm.so.1 (0x00b7c000)
        libncurses.so.5 => /lib/libncurses.so.5 (0x056ae000)
        libasound.so.2 => /lib/libasound.so.2 (0x055cf000)
        libm.so.6 => /lib/libm.so.6 (0x00a0a000)
        libutil.so.1 => /lib/libutil.so.1 (0x00dea000)
        libc.so.6 => /lib/libc.so.6 (0x008b4000)
        libdl.so.2 => /lib/libdl.so.2 (0x00a35000)
        libtinfo.so.5 => /lib/libtinfo.so.5 (0x055a2000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x00b77000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00a6b000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00a3c000)
        /lib/ld-linux.so.2 (0x00891000)

-------- Original Message --------
Subject: Re: [Bug: 21.5-b28] dialog boxes
Date: Wed, 18 Jun 2008 22:27:48 +0200
From: Aidan Kehoe <kehoea at parhasard.net>
To: tilmann at esc.cam.ac.uk
CC: XEmacs Beta <xemacs-beta at xemacs.org>
References: <Prayer.1.2.2.1.0806161533160.29552 at hermes-1.csi.cam.ac.uk>

Hi F.J,

We don't see this. I'm on OS X with X11 and on Cygwin with X11, various
other people are on Linux with X11. Normally it's mentioned if XEmacs was
linked with the Xaw3D libraries, which can be problematic, but it's not
listed in the details of your bug report. Regardless, can you run

ldd `which xemacs`

(replacing xemacs with the command name you type to invoke XEmacs 21.5.28)
and paste the output for us here? If you're using a particularly odd X
library it may be that; XEmacs tends to exercise parts of the X libraries
that other apps don't get to, in general.

Bye,

Aidan

  Ar an s?? l? d?ag de m? Meitheamh, scr?obh F.J. Tilmann:

  > Dear Bug Team!
  >
  > on the current version of xemacs, all buttons on dialog boxes (in
  > additional windows) are not functional. For example, if I still have 
a file
  > unsave on quitting, xemacs presents a dialog box asking whether I 
wish to
  > save unsaved file: "yes", "no", .. ","cancel","display buffer" but any
  > clicks I make in the dialog box are ignored (TAB moves correctly 
between
  > entries, but RETURN is also ignored). The only possibility is to 
close the
  > window. In the file dialog box I have the same problem, but I can 
select a
  > file using the middle-mouse button.
  >
  > Theoretically this could be a problem with X but no other programs show
  > this behaviour.
  >
  > ================================================================

-- 

?D?nde estar? ahora mi sobrino Yoghurtu Ngh?, que tuvo que huir
precipitadamente de la aldea por culpa de la escasez de rinocerontes?
History
Date User Action Args
2009-02-26 22:38:17mike.kupfersetstatus: closed
priority: normal
reason: superseded
superseder: + [Bug: 21.5-b28] dialog boxes
type: defect
severity: inconvenience
platform: + N/A
nosy: - fjt21
messages: + msg1045
module: + core code 21.5
2008-11-29 06:19:55fjt21create